Postgresql: Field length for smart variables too small
Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Parameters   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

I have a smart-parameter of type hash. I want to insert a default value that is longer than 255 characters. On submit, I get an error

from the postgresdb, that lookup_keys.default_value is of type varying(255) and the value is too long. (The message is on german,

so I can't give you the exact wording)

The same setup works, when I use sqlite as backend. It seems, as if the sqlite fields are defined as text, whereas the postgresql

fields are defined as varying(255), which is definitely too short for me as I have right now hashes as parameters as long as 12996

characters.

BTW: Foreman is an absolutely astonishing piece of work!

Thanx,

florian

ForemanVersion: 1.0.1-7 - RPM Package from 2012-11-21, devel-yum repository - everything installed via rpm

Platform: RedHat 6.3 x86_64

Postgresql: 9.2

Puppet: 3.0.1

Associated revisions

Revision 45a7a196 - 12/18/2012 08:34 AM - Joseph Magen

fixes #1964 lookup_keys.default_value can hold > 255 characters

History

#1 - 11/22/2012 03:47 AM - Florian Sachs

I altered the column from "character varying(255)" to "text" and it worked. (didn't know about the text type until my dbadmin told me) I don't know

exactly which columns are affected, but will keep track of them as I change them, so I will be able to provide information if the need arises.

#2 - 12/18/2012 03:46 AM - Joseph Magen

- Assignee set to Joseph Magen

I submitted a pull request for this fix

https://github.com/theforeman/foreman/pull/313

#3 - 12/18/2012 04:52 AM - Joseph Magen

- Status changed from New to Ready For Testing

#4 - 12/18/2012 08:34 AM - Ohad Levy

- Category set to Parameters

- Target version set to 1.1
#5 - 12/18/2012 09:44 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 45a7a196a12f5358f7ab312cfe5621067b33c657.

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/45a7a196a12f5358f7ab312cfe5621067b33c657
http://www.tcpdf.org

